Skip to main content
GET
/
api
/
{projectId}
/
ai-actions
/
{actionId}
Get AI Actions config
curl --request GET \
  --url https://studio.edgeimpulse.com/v1/api/{projectId}/ai-actions/{actionId} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://studio.edgeimpulse.com/v1/api/{projectId}/ai-actions/{actionId}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/ai-actions/{actionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "action": {
    "id": 123,
    "displayName": "<string>",
    "config": {
      "steps": [
        {
          "transformationBlockId": 123,
          "parameters": {}
        }
      ],
      "dataMetadataKey": "<string>",
      "dataMetadataValue": "<string>"
    },
    "previewConfig": {
      "steps": [
        {
          "transformationBlockId": 123,
          "parameters": {}
        }
      ],
      "dataMetadataKey": "<string>",
      "dataMetadataValue": "<string>"
    },
    "maxDataPreviewCount": 123,
    "gridColumnCount": 123,
    "setMetadataAfterRunning": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ],
    "cacheUnchangedSteps": true,
    "name": "<string>",
    "lastPreviewState": {
      "samples": [
        {
          "id": 2,
          "filename": "idle01.d8Ae",
          "signatureValidate": true,
          "created": "2023-11-07T05:31:56Z",
          "lastModified": "2023-11-07T05:31:56Z",
          "category": "training",
          "coldstorageFilename": "<string>",
          "label": "healthy-machine",
          "intervalMs": 16,
          "frequency": 62.5,
          "originalIntervalMs": 16,
          "originalFrequency": 62.5,
          "deviceType": "<string>",
          "sensors": [
            {
              "index": 123,
              "name": "accX",
              "units": "<string>"
            }
          ],
          "valuesCount": 123,
          "added": "2023-11-07T05:31:56Z",
          "boundingBoxes": [
            {
              "label": "<string>",
              "x": 123,
              "y": 123,
              "width": 123,
              "height": 123
            }
          ],
          "isDisabled": true,
          "isProcessing": true,
          "processingError": true,
          "isCropped": true,
          "projectId": 123,
          "sha256Hash": "<string>",
          "datastreams": [
            {
              "index": 123,
              "intervalMs": 123,
              "frequencyHz": 123,
              "sensors": [
                {
                  "index": 123,
                  "name": "accX",
                  "units": "<string>"
                }
              ],
              "valuesCount": 123,
              "totalLengthMs": 123,
              "imageDimensions": {
                "width": 123,
                "height": 123
              }
            }
          ],
          "signatureMethod": "HS256",
          "signatureKey": "<string>",
          "deviceName": "<string>",
          "totalLengthMs": 123,
          "thumbnailVideo": "<string>",
          "thumbnailVideoFull": "<string>",
          "processingJobId": 123,
          "processingErrorString": "<string>",
          "metadata": {},
          "projectOwnerName": "<string>",
          "projectName": "<string>",
          "structuredLabels": [
            {
              "startIndex": 123,
              "endIndex": 123,
              "label": "<string>",
              "labelMap": {
                "type": "key-values",
                "labels": {}
              }
            }
          ],
          "structuredLabelsList": [
            "<string>"
          ],
          "createdBySyntheticDataJobId": 123,
          "imageDimensions": {
            "width": 123,
            "height": 123
          },
          "videoUrl": "<string>",
          "videoUrlFull": "<string>",
          "labelMap": {
            "type": "key-values",
            "labels": {}
          },
          "lastUpdatedBy": {
            "type": "user",
            "id": 123
          }
        }
      ],
      "proposedChanges": [
        {
          "sampleId": 123,
          "step": 123,
          "proposedChanges": {
            "label": "<string>",
            "isDisabled": true,
            "boundingBoxes": [
              {
                "label": "<string>",
                "x": 123,
                "y": 123,
                "width": 123,
                "height": 123
              }
            ],
            "metadata": {},
            "structuredLabels": [
              {
                "startIndex": 123,
                "endIndex": 123,
                "label": "<string>",
                "labelMap": {
                  "type": "key-values",
                  "labels": {}
                }
              }
            ]
          }
        }
      ]
    }
  },
  "error": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

projectId
integer
required

Project ID

actionId
integer
required

AI Action ID

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

action
object
required
error
string

Optional error description (set if 'success' was false)